- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# slxos_l3_interface – Manage L3 interfaces on Extreme Networks SLX-OS network devices

New in version 2.6.

- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- This module provides declarative management of L3 interfaces on slxos network devices.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
aggregate - |  | List of L3 interfaces definitions. Each of the entry in aggregate list should define name of interface `name` and a optional `ipv4` or `ipv6` address.
ipv4 - |  | IPv4 address to be set for the L3 interface mentioned in name option. The address format is <ipv4 address>/<mask>, the mask is number in range 0-32 eg. 192.168.0.1/24
ipv6 - |  | IPv6 address to be set for the L3 interface mentioned in name option. The address format is <ipv6 address>/<mask>, the mask is number in range 0-128 eg. fd5d:12c9:2201:1::1/64
name - |  | Name of the L3 interface to be configured eg. Ethernet 0/2
state - | Choices: present ← absent | State of the L3 interface configuration. It indicates if the configuration should be present or absent on remote device.

## Notes

Note

- Tested against slxos 15.2

## Examples

    - name: Remove Ethernet 0/3 IPv4 and IPv6 address
      slxos_l3_interface:
        name: Ethernet 0/3
        state: absent

    - name: Set Ethernet 0/3 IPv4 address
      slxos_l3_interface:
        name: Ethernet 0/3
        ipv4: 192.168.0.1/24

    - name: Set Ethernet 0/3 IPv6 address
      slxos_l3_interface:
        name: Ethernet 0/3
        ipv6: "fd5d:12c9:2201:1::1/64"

    - name: Set IP addresses on aggregate
      slxos_l3_interface:
        aggregate:
          - { name: Ethernet 0/3, ipv4: 192.168.2.10/24 }
          - { name: Ethernet 0/3, ipv4: 192.168.3.10/24, ipv6: "fd5d:12c9:2201:1::1/64" }

    - name: Remove IP addresses on aggregate
      slxos_l3_interface:
        aggregate:
          - { name: Ethernet 0/3, ipv4: 192.168.2.10/24 }
          - { name: Ethernet 0/3, ipv4: 192.168.3.10/24, ipv6: "fd5d:12c9:2201:1::1/64" }
        state: absent

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
commands list | always, except for the platforms that use Netconf transport to manage the device. | The list of configuration mode commands to send to the device Sample: ['interface Ethernet 0/2', 'ip address 192.168.0.1/24', 'ipv6 address fd5d:12c9:2201:1::1/64']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Matthew Stone (@bigmstone)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.